## fosfat 0.4.0

=== Makefile ===
ifeq (,$(wildcard config.mak))
$(error "config.mak is not present, run configure !")
endif
include config.mak

PKGCONFIG_DIR = $(libdir)/pkgconfig
PKGCONFIG_FILE = libfosfat.pc \
		 libfosgra.pc \

DISTFILE = fosfat-$(VERSION).tar.bz2

EXTRADIST = \
	ChangeLog \
	configure \
	COPYING \
	README \
	TODO \

SUBDIRS = \
	DOCS \
	fosmount \
	libfosfat \
	libfosgra \
	libw32disk \
	tools \

all: libs fosmount tools docs

config.mak: configure
	@echo "############################################################"
	@echo "####### Please run ./configure again - it's changed! #######"
	@echo "############################################################"

libs:
ifeq ($(BUILD_MINGW32),yes)
	$(MAKE) -C libw32disk
endif
	$(MAKE) -C libfosfat
	$(MAKE) -C libfosgra

fosmount: libs
ifeq ($(FOSMOUNT),yes)
	$(MAKE) -C fosmount
endif

tools: libs
ifeq ($(TOOLS),yes)
	$(MAKE) -C tools
endif

docs:
	$(MAKE) -C DOCS

docs-clean:
	$(MAKE) -C DOCS clean

clean:
	$(MAKE) -C fosmount clean
	$(MAKE) -C libfosfat clean
	$(MAKE) -C libfosgra clean
	$(MAKE) -C libw32disk clean
	$(MAKE) -C tools clean

distclean: clean docs-clean
	rm -f config.log
	rm -f config.mak
	rm -f $(DISTFILE)
	rm -f $(PKGCONFIG_FILE)

install: install-libs install-pkgconfig install-fosmount install-tools install-docs

install-libs:
	$(MAKE) -C libfosfat install
	$(MAKE) -C libfosgra install

install-pkgconfig: $(PKGCONFIG_FILE)
	for m in $(PKGCONFIG_FILE); do \
	  $(INSTALL) -d "$(PKGCONFIG_DIR)"; \
	  $(INSTALL) -m 644 $$m "$(PKGCONFIG_DIR)"; \
	done

install-fosmount: fosmount
	$(MAKE) -C fosmount install

install-tools: tools
	$(MAKE) -C tools install

install-docs: docs
	$(MAKE) -C DOCS install

uninstall: uninstall-libs uninstall-pkgconfig uninstall-fosmount uninstall-tools uninstall-docs

uninstall-libs:
	$(MAKE) -C libfosfat uninstall
	$(MAKE) -C libfosgra uninstall

uninstall-pkgconfig:
	for m in $(PKGCONFIG_FILE); do \
	  rm -f $(PKGCONFIG_DIR)/$$m; \
	done

uninstall-fosmount:
	$(MAKE) -C fosmount uninstall

uninstall-tools:
	$(MAKE) -C tools uninstall

uninstall-docs:
	$(MAKE) -C DOCS uninstall

.PHONY: *clean *install* docs fosmount tools

dist:
	-$(RM) $(DISTFILE)
	dist=$(shell pwd)/fosfat-$(VERSION) && \
	for subdir in . $(SUBDIRS); do \
		mkdir -p "$$dist/$$subdir"; \
		$(MAKE) -C $$subdir dist-all DIST="$$dist/$$subdir"; \
	done && \
	tar cjf $(DISTFILE) fosfat-$(VERSION)
	-$(RM) -rf fosfat-$(VERSION)

dist-all:
	cp $(EXTRADIST) Makefile $(DIST)

.PHONY: dist dist-all

=== DOCS/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

EXTRADIST = \
	Doxyfile \

all: doxygen

doxygen:
ifeq ($(DOC),yes)
ifeq (,$(wildcard doxygen))
	PROJECT_NUMBER="$(VERSION)" doxygen Doxyfile
endif
endif

clean:
	rm -rf doxygen

install:
ifeq ($(DOC),yes)
	if [ -d doxygen/html ]; then \
		$(INSTALL) -d $(docdir)/fosfat; \
		$(INSTALL) -c -m 755 doxygen/html/* $(docdir)/fosfat; \
	fi
endif

uninstall:
	rm -rf $(docdir)/fosfat

dist-all:
	cp $(EXTRADIST) Makefile $(DIST)

.PHONY: clean dist-all doxygen *install

=== fosmount/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

FOSMOUNT = fosmount
FOSMOUNT_SRCS = fosmount.c
FOSMOUTN_MAN = $(FOSMOUNT).1

APPS_CPPFLAGS = -I../libfosfat -I../libfosgra $(CFG_CPPFLAGS) $(CPPFLAGS)
APPS_LDFLAGS = -L../libfosfat -L../libfosgra -lfosfat -lfosgra $(CFG_LDFLAGS) $(LDFLAGS)

MANS = $(FOSMOUTN_MAN)

EXTRADIST = \
	$(MANS)

OBJS = $(FOSMOUNT_SRCS:.c=.o)

ifeq ($(BUILD_STATIC),yes)
ifeq ($(BUILD_SHARED),no)
  APPS_LDFLAGS += $(EXTRALIBS)
endif
endif

.SUFFIXES: .c .o

all: app

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(APPS_CPPFLAGS) -o $@ $<

$(FOSMOUNT): $(OBJS)
	$(CC) $(OBJS) $(APPS_LDFLAGS) -o $(FOSMOUNT)

app-dep:
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(FOSMOUNT_SRCS) 1>.depend

app: app-dep
	$(MAKE) $(FOSMOUNT)

clean:
	rm -f *.o $(FOSMOUNT)
	rm -f .depend

install: install-app install-man

install-app: app
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 755 $(FOSMOUNT) $(bindir)

install-man: $(MANS)
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  $(INSTALL) -d $(mandir)/man$$section; \
	  $(INSTALL) -m 644 $$m $(mandir)/man$$section; \
	done

uninstall: uninstall-app uninstall-man

uninstall-app:
	rm -f $(bindir)/$(FOSMOUNT)

uninstall-man:
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  rm -f $(mandir)/man$$section/$$m; \
	done

.PHONY: *clean *install* app*

dist-all:
	cp $(EXTRADIST) $(FOSMOUNT_SRCS) Makefile $(DIST)

.PHONY: dist dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== libfosfat/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

LIBNAME = libfosfat
STATIC_LIBNAME = ${LIBNAME}.a
SHARED_LIBNAME = $(LIBNAME).so
SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME).$(VERSION)
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.)
SHARED_LIBNAME_FLAGS = -shared -Wl,-soname,$(SHARED_LIBNAME_MAJOR)

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
  ifeq ($(BUILD_DYLIB),yes)
    SHARED_LIBNAME         = $(LIBNAME).dylib
    SHARED_LIBNAME_VERSION = $(LIBNAME).$(VERSION).dylib
    SHARED_LIBNAME_MAJOR   = $(LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.).dylib
    SHARED_LIBNAME_FLAGS   = -dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-install_name,$(SHARED_LIBNAME_VERSION)
  else
    ifeq ($(BUILD_MINGW32),yes)
      SHARED_LIBNAME         = $(LIBNAME)-$(shell echo $(VERSION) | cut -f1 -d.).dll
      SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME)
      SHARED_LIBNAME_MAJOR   = $(SHARED_LIBNAME)
      SHARED_LIBNAME_FLAGS   = -shared -Wl,--out-implib=$(LIBNAME).dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import
    endif
  endif
endif

ifeq ($(BUILD_MINGW32),yes)
  LIB_CPPFLAGS = -I../libw32disk $(CFG_CPPFLAGS) $(CPPFLAGS)
  LIB_LDFLAGS = -L../libw32disk $(CFG_LDFLAGS) $(LDFLAGS) -lw32disk
else
  LIB_CPPFLAGS = $(CFG_CPPFLAGS) $(CPPFLAGS)
  LIB_LDFLAGS = $(CFG_LDFLAGS) $(LDFLAGS)
endif

SRCS =  fosfat.c \

EXTRADIST = \
	fosfat.h \

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(LIB_CPPFLAGS) -o $@ $<

lib_static: $(STATIC_LIBNAME)

lib_shared: $(SHARED_LIBNAME)

$(STATIC_LIBNAME): $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

$(SHARED_LIBNAME): $(OBJS)
	$(CC) $(SHARED_LIBNAME_FLAGS) \
	  $(OBJS) $(EXTRALIBS) $(LIB_LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
	if [ $(BUILD_MINGW32) = no ]; then \
	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR); \
	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME); \
	fi

clean:
	rm -f *.o *.a *.so* *.dll
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  if [ $(BUILD_MINGW32) = no ]; then \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(libdir); \
	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
	  else \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
	  fi \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 fosfat.h $(includedir)

uninstall:
	if [ $(BUILD_MINGW32) = yes ]; then \
	  rm -f $(bindir)/$(SHARED_LIBNAME); \
	  rm -f $(libdir)/$(LIBNAME).dll.a; \
	fi
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/fosfat.h

depend:
	$(CC) -MM $(CFLAGS) $(LIB_CPPFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== libfosgra/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

LIBNAME = libfosgra
STATIC_LIBNAME = ${LIBNAME}.a
SHARED_LIBNAME = $(LIBNAME).so
SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME).$(VERSION)
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.)
SHARED_LIBNAME_FLAGS = -shared -Wl,-soname,$(SHARED_LIBNAME_MAJOR)

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
  ifeq ($(BUILD_DYLIB),yes)
    SHARED_LIBNAME         = $(LIBNAME).dylib
    SHARED_LIBNAME_VERSION = $(LIBNAME).$(VERSION).dylib
    SHARED_LIBNAME_MAJOR   = $(LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.).dylib
    SHARED_LIBNAME_FLAGS   = -dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-install_name,$(SHARED_LIBNAME_VERSION)
  else
    ifeq ($(BUILD_MINGW32),yes)
      SHARED_LIBNAME         = $(LIBNAME)-$(shell echo $(VERSION) | cut -f1 -d.).dll
      SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME)
      SHARED_LIBNAME_MAJOR   = $(SHARED_LIBNAME)
      SHARED_LIBNAME_FLAGS   = -shared -Wl,--out-implib=$(LIBNAME).dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import
    endif
  endif
endif

LIB_CPPFLAGS = -I../libfosfat $(CFG_CPPFLAGS) $(CPPFLAGS)
LIB_LDFLAGS = -L../libfosfat -lfosfat $(CFG_LDFLAGS) $(LDFLAGS)

SRCS =  fosgra.c \

EXTRADIST = \
	fosgra.h \

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(LIB_CPPFLAGS) -o $@ $<

lib_static: $(STATIC_LIBNAME)

lib_shared: $(SHARED_LIBNAME)

$(STATIC_LIBNAME): $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

$(SHARED_LIBNAME): $(OBJS)
	$(CC) $(SHARED_LIBNAME_FLAGS) \
	  $(OBJS) $(LIB_LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
	if [ $(BUILD_MINGW32) = no ]; then \
	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR); \
	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME); \
	fi

clean:
	rm -f *.o *.a *.so* *.dll
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  if [ $(BUILD_MINGW32) = no ]; then \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(libdir); \
	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
	  else \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
	  fi \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 fosgra.h $(includedir)

uninstall:
	if [ $(BUILD_MINGW32) = yes ]; then \
	  rm -f $(bindir)/$(SHARED_LIBNAME); \
	  rm -f $(libdir)/$(LIBNAME).dll.a; \
	fi
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/fosgra.h

depend:
	$(CC) -MM $(CFLAGS) $(LIB_CPPFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== libw32disk/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

VERSION = "0.0.1"

LIBNAME = libw32disk
STATIC_LIBNAME = ${LIBNAME}.a
SHARED_LIBNAME = $(LIBNAME)-$(shell echo $(VERSION) | cut -f1 -d.).dll
SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME)
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME)
SHARED_LIBNAME_FLAGS = -shared -Wl,--out-implib=$(LIBNAME).dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
endif

SRCS =  w32disk.c \

EXTRADIST = \
	w32disk.h \

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.cxx.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(CFG_CPPFLAGS) $(CPPFLAGS) -o $@ $<

lib_static: $(STATIC_LIBNAME)

lib_shared: $(SHARED_LIBNAME)

$(STATIC_LIBNAME): $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

$(SHARED_LIBNAME): $(OBJS)
	$(CC) $(SHARED_LIBNAME_FLAGS) \
	  $(OBJS) $(CFG_LDFLAGS) $(EXTRALIBS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)

clean:
	rm -f *.o *.a *.dll
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
	  $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 w32disk.h $(includedir)

uninstall:
	rm -f $(bindir)/$(SHARED_LIBNAME); \
	rm -f $(libdir)/$(LIBNAME).dll.a; \
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/fosfat.h

depend:
	$(CC) -MM $(CFLAGS) $(CFG_CPPFLAGS) $(CPPFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== tools/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

FOSREAD = fosread
FOSREAD_SRCS = fosread.c
FOSREAD_OBJS = $(FOSREAD_SRCS:.c=.o)
FOSREAD_MAN = $(FOSREAD).1
SMASCII = smascii
SMASCII_SRCS = ascii.c smascii.c
SMASCII_OBJS = $(SMASCII_SRCS:.c=.o)
SMASCII_MAN = $(SMASCII).1
FOSREC = fosrec
FOSREC_SRCS = fosrec.c
FOSREC_OBJS = $(FOSREC_SRCS:.c=.o)
FOSREC_MAN = $(FOSREC).1

APPS_CPPFLAGS = -I../libfosfat $(CFG_CPPFLAGS) $(CPPFLAGS)
ifeq ($(BUILD_MINGW32),yes)
  STDCXX_LDFLAGS =
  ifeq ($(BUILD_STATIC),yes)
  ifeq ($(BUILD_SHARED),no)
    STDCXX_LDFLAGS = -lstdc++
  endif
  endif
  APPS_LDFLAGS = -L../libfosfat -L../libw32disk -lfosfat -lw32disk $(CFG_LDFLAGS) $(LDFLAGS) $(STDCXX_LDFLAGS)
else
  APPS_LDFLAGS = -L../libfosfat -lfosfat $(CFG_LDFLAGS) $(LDFLAGS)
endif

MANS = $(FOSREAD_MAN) $(SMASCII_MAN) $(FOSREC_MAN)

EXTRADIST = \
	ascii.h \
	$(MANS)

ifeq ($(BUILD_STATIC),yes)
ifeq ($(BUILD_SHARED),no)
  APPS_LDFLAGS += $(EXTRALIBS)
endif
endif

.SUFFIXES: .c .o

all: apps

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(APPS_CPPFLAGS) -o $@ $<

$(FOSREAD): $(FOSREAD_OBJS)
	$(CC) $(FOSREAD_OBJS) $(APPS_LDFLAGS) -o $(FOSREAD)
$(SMASCII): $(SMASCII_OBJS)
	$(CC) $(SMASCII_OBJS) $(APPS_LDFLAGS) -o $(SMASCII)
$(FOSREC): $(FOSREC_OBJS)
	$(CC) $(FOSREC_OBJS) $(APPS_LDFLAGS) -o $(FOSREC)

apps-dep:
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(FOSREAD_SRCS) 1>.depend
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(SMASCII_SRCS) 1>>.depend
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(FOSREC_SRCS) 1>>.depend

apps-all: $(FOSREAD) $(SMASCII) $(FOSREC)

apps: apps-dep
	$(MAKE) apps-all

clean:
	rm -f *.o
	rm -f $(FOSREAD)
	rm -f $(SMASCII)
	rm -f $(FOSREC)
	rm -f .depend

install: install-apps install-man

install-apps: apps
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 755 $(FOSREAD) $(bindir)
	$(INSTALL) -c -m 755 $(SMASCII) $(bindir)
	$(INSTALL) -c -m 755 $(FOSREC) $(bindir)

install-man: $(MANS)
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  $(INSTALL) -d $(mandir)/man$$section; \
	  $(INSTALL) -m 644 $$m $(mandir)/man$$section; \
	done

uninstall: uninstall-apps uninstall-man

uninstall-apps:
	rm -f $(bindir)/$(FOSREAD)
	rm -f $(bindir)/$(SMASCII)
	rm -f $(bindir)/$(FOSREC)

uninstall-man:
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  rm -f $(mandir)/man$$section/$$m; \
	done

.PHONY: *clean *install* apps*

dist-all:
	cp $(EXTRADIST) $(FOSREAD_SRCS) $(SMASCII_SRCS) $(FOSREC_SRCS) Makefile $(DIST)

.PHONY: dist dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
fosfat (0.4.0-1) unstable; urgency=low

  * New 0.4.0 upstream release, that merges most of our changes.
    Thanks go to Mathieu Schroeter!
    - The C++ non-redistributable files' functionality has been completely
      rewritten: remove +dfsg postfix and README.source.
    - New tarball includes Doxyfile: drop 00_upstream_Doxyfile.patch
    - -fPIC can be enabled individually: drop 10_enable_PIC_on_all_arches.patch
    - 11_fix_non_Linux_build.patch incorporated upstream: drop it.
    - Manpage for smascii was incoprorated upstream: drop it from packaging.
    - New pkg-config files for libfosfat and libfosgra are available: include
      them.

  * Enable static library compilation.
    
  * Now that I am a DM, add DMUA field to debian/control.
    Thanks go to Patrick Matthäi for the sponsoring!

 -- Didier Raboud <didier@raboud.com>  Mon, 15 Mar 2010 12:05:53 +0100

fosfat (0.3.2+dfsg-2) unstable; urgency=low

  * Add 11_fix_non_Linux_build.patch to fix FTBFS on kfreebsd-*.

 -- Didier Raboud <didier@raboud.com>  Fri, 12 Mar 2010 10:37:07 +0100

fosfat (0.3.2+dfsg-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #572207)
    - Packaging based on upstream's. Many thanks!

  * Repack upstream to remove non-free libw32disk/Disk.*.
    - Add README.source do document that.
    - Mangle version in debian/watch.

  * debian/rules: use debhelper tiny style.
  * debian/control: Bump B-D of debhelper to >= 7.0.50.
    - Split package in libraries, -dev, -dbg packages.
    - Put package in otherosfs.
  * debian/patches:
    + 00_upstream_Doxyfile.patch : Import upstream's Doxyfile, probably
      forgotten in the tarball.
    + 10_enable_PIC_on_all_arches.patch : Disable upstream's arches list for
      -fPIC: enable it unconditionally.
  * Include docs.
  * Add symbols for the libs.
  * debian/compat: bump compat to 7.
  * debian/copyright: update.
  * Add a smascii.1 manpage.
  * Bump Standards to 3.8.4.

 -- Didier Raboud <didier@raboud.com>  Sun, 07 Mar 2010 23:26:57 +0100

fosfat (0.3.2-0ubuntu0) jaunty; urgency=low

  * .IMAGE decoding support

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sun, 07 Jul 2009 15:00:00 +0100

fosfat (0.3.1-0ubuntu0) jaunty; urgency=low

  * New beta release
  * A lot of fixes.

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sun, 04 Jul 2009 14:00:00 +0100

fosfat (0.3.0-0ubuntu0) gutsy; urgency=low

  * New major beta release
  * Support of multiple devices, undelete, Window$ and symlink in fosread.

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sun, 16 Dec 2007 16:00:00 +0100

fosfat (0.2.3-0ubuntu0) gutsy; urgency=low

  * Fourth beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sat, 09 Dec 2007 16:00:00 +0100

fosfat (0.2.2-0ubuntu0) feisty; urgency=low

  * Third beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sat, 07 Jul 2007 18:00:00 +0100

fosfat (0.2.1-0ubuntu0) feisty; urgency=low

  * Second beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Fri, 22 Jun 2007 20:00:00 +0100

fosfat (0.2.0-0ubuntu0) feisty; urgency=low

  * First beta release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Thu, 10 May 2007 19:35:00 +0100

fosfat (0.1.0-0ubuntu0) edgy; urgency=low

  * Initial alpha release

 -- Mathieu Schroeter <mathieu.schroeter@gamesover.ch>  Sat, 30 Dec 2006 13:17:34 +0100

=== debian/control ===
Source: fosfat
Section: otherosfs
Priority: optional
Maintainer: Didier Raboud <didier@raboud.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), pkg-config (>= 0.20), libfuse-dev (>= 2.6), doxygen
Standards-Version: 3.8.4
Homepage: http://home.gna.org/fosfat
Vcs-Git: git://git.debian.org/collab-maint/fosfat.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fosfat.git

Package: fosfat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FUSE library to access Smaky formatted disk (ro)
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.

Package: libfosfat0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: API for the Smaky file system
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosfat0, which provides the API for the
 Smaky file system.

Package: libfosgra0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to decode Smaky .IMAGE files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosgra0, used to decode the Smaky .IMAGE
 picture file.

Package: fosfat-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libfosfat0 (= ${binary:Version}),
         libfosgra0 (= ${binary:Version})
Description: FUSE library to access Smaky formatted disk, development files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the development files for libfosfat0, libfosgra0
 and the corresponding documentation.

Package: fosfat-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         fosfat (= ${binary:Version}),
         libfosfat0 (= ${binary:Version}),
         libfosgra0 (= ${binary:Version})
Description: FUSE library to access Smaky formatted disk, debug symbols
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the debug symbols of libfosfat0, libfosgra0 and
 fosfat itself.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr \
	            --enable-static \
	            --enable-shared \
	            --enable-fosmount \
	            --disable-strip \
	            --enable-debug \
	            --enable-doc \
	            --enable-pic

override_dh_strip:
	dh_strip --dbg-package=fosfat-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://download.gna.org/fosfat/ fosfat_([\d.]*)\.orig\.tar\.gz

## fosfat 0.4.0-13

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,9 @@
 install: install-libs install-pkgconfig install-fosmount install-tools install-docs
 
 install-libs:
+ifeq ($(BUILD_MINGW32),yes)
+	$(MAKE) -C libw32disk install
+endif
 	$(MAKE) -C libfosfat install
 	$(MAKE) -C libfosgra install
 
@@ -80,7 +83,9 @@
 	done
 
 install-fosmount: fosmount
+ifeq ($(FOSMOUNT),yes)
 	$(MAKE) -C fosmount install
+endif
 
 install-tools: tools
 	$(MAKE) -C tools install

=== DOCS/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 EXTRADIST = \
 	Doxyfile \
+	fosblup_1.0_color.png \
+	fosblup_1.0_color.svg \
 
 all: doxygen

=== fosmount/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 FOSMOUTN_MAN = $(FOSMOUNT).1
 
 APPS_CPPFLAGS = -I../libfosfat -I../libfosgra $(CFG_CPPFLAGS) $(CPPFLAGS)
-APPS_LDFLAGS = -L../libfosfat -L../libfosgra -lfosfat -lfosgra $(CFG_LDFLAGS) $(LDFLAGS)
+APPS_LDFLAGS = -L../libfosfat -L../libfosgra -lfosfat -lfosgra -lfuse $(CFG_LDFLAGS) $(LDFLAGS)
 
 MANS = $(FOSMOUTN_MAN)

=== libfosfat/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 $(SHARED_LIBNAME): $(OBJS)
 	$(CC) $(SHARED_LIBNAME_FLAGS) \
-	  $(OBJS) $(EXTRALIBS) $(LIB_LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
+	  $(OBJS) $(LIB_LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
 	if [ $(BUILD_MINGW32) = no ]; then \
 	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR); \
 	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME); \
@@ -81,6 +81,7 @@
 	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
 	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
 	  else \
+	    $(INSTALL) -d $(bindir); \
 	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
 	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
 	  fi \

=== libfosgra/Makefile ===
--- 
+++ 
@@ -76,6 +76,7 @@
 	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
 	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
 	  else \
+	    $(INSTALL) -d $(bindir); \
 	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
 	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
 	  fi \

=== tools/Makefile ===
--- 
+++ 
@@ -34,12 +34,6 @@
 EXTRADIST = \
 	ascii.h \
 	$(MANS)
-
-ifeq ($(BUILD_STATIC),yes)
-ifeq ($(BUILD_SHARED),no)
-  APPS_LDFLAGS += $(EXTRALIBS)
-endif
-endif
 
 .SUFFIXES: .c .o

## fosfat 0.4.0-13-ged091bb

=== debian/changelog ===
fosfat (0.4.0-13-ged091bb-3) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:53:43 +0100

fosfat (0.4.0-13-ged091bb-2) unstable; urgency=medium

  * Bump debhelper compat to 10
  * Stop disabling PIE (Closes: #865602)
  * Bump Standards-Version to 4.0.1
  * Update Homepage and Vcs-* URLs to https

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Aug 2017 19:04:13 -0400

fosfat (0.4.0-13-ged091bb-1) unstable; urgency=medium

  * New upstream version 0.4.0-13-ged091bb
  * Bump S-V to 3.9.8 without changes needed
  * Remove -dbg package in favour of automatic -dbgsym package; this requires
    debhelper >= 9.20151219
  * Drop patches, all incorporated upstream; also drop outdated source lintian
    override
  * Use libjs-jquery for the documentation search, through .links and a Depends
    against libjs-jquery
  * Enable build hardening (+all,-pie)
  * Rewrite debian/watch for new GitHub home

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Oct 2016 14:39:35 +0200

fosfat (0.4.0-5) unstable; urgency=medium

  * Update Homepage
  * Rewrite debian/copyright with CF1.0
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Apr 2014 22:34:58 +0200

fosfat (0.4.0-4) unstable; urgency=low

  * Permit 'make clean' before configure (Closes: #718064)
  * Bump debhelper's build-dependency to 9, and Standards-Version to
    3.9.4.
  * Update debian/watch

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jul 2013 13:04:06 +0200

fosfat (0.4.0-3) unstable; urgency=low

  * Convert libraries to multiarch.
    - Bump B-D on debhelper to 8.9.3.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      --libdir argument to the configure.
    - Add Multi-Arch: same to the lib* packages.
  * Bump Symbols to 3.9.2, without changes needed.
  * Change my email address to @d.o and remove DMUA.

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2011 19:22:47 +0200

fosfat (0.4.0-2) unstable; urgency=low

  * Add fix_Bsymbolic-functions_build.patch to fix build in Ubuntu
    natty.

 -- Didier Raboud <didier@raboud.com>  Fri, 03 Dec 2010 11:04:27 +0100

=== debian/control ===
Source: fosfat
Maintainer: Didier Raboud <odyx@debian.org>
Section: otherosfs
Priority: optional
Build-Depends: debhelper (>= 10.2.5~),
               pkg-config,
               libfuse-dev,
               doxygen
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/fosfat
Vcs-Git: https://salsa.debian.org/debian/fosfat.git
Homepage: https://skywalker13.github.io/Fosfat/

Package: fosfat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FUSE library to access Smaky formatted disk (ro)
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.

Package: libfosfat0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: API for the Smaky file system
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosfat0, which provides the API for the
 Smaky file system.

Package: libfosgra0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to decode Smaky .IMAGE files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the libfosgra0, used to decode the Smaky .IMAGE
 picture file.

Package: fosfat-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfosfat0 (= ${binary:Version}),
         libfosgra0 (= ${binary:Version}),
         libjs-jquery
Description: FUSE library to access Smaky formatted disk, development files
 Fosfat is a C library for providing read-only access to a Smaky
 formatted disk. Currently, only a tool and a FUSE extension that
 use this library can be used for reading a directory and copying
 a file.
 .
 The Smaky is a line of mostly 8-bit personal computers and
 accompanying operating system developed at the EPFL (École
 Polytechnique Federale de Lausanne), in Switzerland, from 1974.
 .
 This package contains the development files for libfosfat0, libfosgra0
 and the corresponding documentation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr \
	            --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	            --enable-static \
	            --enable-shared \
	            --enable-fosmount \
	            --disable-strip \
	            --enable-debug \
	            --enable-doc \
	            --enable-pic

override_dh_strip:
	dh_strip --ddeb-migration='fosfat-dbg (<< 0.4.0-6~)'

override_dh_auto_clean:
	touch config.mak
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fosfat-$1\.tar\.gz/ \
  https://github.com/Skywalker13/fosfat/tags .*/v?(\d\S*)\.tar\.gz

## fosfat 1.0.1

=== fosmount/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 FOSMOUTN_MAN = $(FOSMOUNT).1
 
 APPS_CPPFLAGS = -I../libfosfat -I../libfosgra $(CFG_CPPFLAGS) $(CPPFLAGS)
-APPS_LDFLAGS = -L../libfosfat -L../libfosgra -lfosfat -lfosgra -lfuse $(CFG_LDFLAGS) $(LDFLAGS)
+APPS_LDFLAGS = -L../libfosfat -L../libfosgra -lfosfat -lfosgra -lfuse3 $(CFG_LDFLAGS) $(LDFLAGS)
 
 MANS = $(FOSMOUTN_MAN)

=== libw32disk/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 $(SHARED_LIBNAME): $(OBJS)
 	$(CC) $(SHARED_LIBNAME_FLAGS) \
-	  $(OBJS) $(CFG_LDFLAGS) $(EXTRALIBS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
+	  $(OBJS) $(CFG_LDFLAGS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
 
 clean:
 	rm -f *.o *.a *.dll
@@ -53,6 +53,7 @@
 	$(INSTALL) -d $(libdir)
 	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
 	if [ $(BUILD_SHARED) = yes ]; then \
+	  $(INSTALL) -d $(bindir); \
 	  $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
 	  $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
 	fi

=== tools/Makefile ===
--- 
+++ 
@@ -15,6 +15,10 @@
 FOSREC_SRCS = fosrec.c
 FOSREC_OBJS = $(FOSREC_SRCS:.c=.o)
 FOSREC_MAN = $(FOSREC).1
+FOSDD = fosdd
+FOSDD_SRCS = fosdd.c
+FOSDD_OBJS = $(FOSDD_SRCS:.c=.o)
+FOSDD_MAN = $(FOSDD).1
 
 APPS_CPPFLAGS = -I../libfosfat $(CFG_CPPFLAGS) $(CPPFLAGS)
 ifeq ($(BUILD_MINGW32),yes)
@@ -29,7 +33,7 @@
   APPS_LDFLAGS = -L../libfosfat -lfosfat $(CFG_LDFLAGS) $(LDFLAGS)
 endif
 
-MANS = $(FOSREAD_MAN) $(SMASCII_MAN) $(FOSREC_MAN)
+MANS = $(FOSREAD_MAN) $(SMASCII_MAN) $(FOSREC_MAN) $(FOSDD_MAN)
 
 EXTRADIST = \
 	ascii.h \
@@ -48,13 +52,16 @@
 	$(CC) $(SMASCII_OBJS) $(APPS_LDFLAGS) -o $(SMASCII)
 $(FOSREC): $(FOSREC_OBJS)
 	$(CC) $(FOSREC_OBJS) $(APPS_LDFLAGS) -o $(FOSREC)
+$(FOSDD): $(FOSDD_OBJS)
+	$(CC) $(FOSDD_OBJS) $(APPS_LDFLAGS) -o $(FOSDD)
 
 apps-dep:
 	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(FOSREAD_SRCS) 1>.depend
 	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(SMASCII_SRCS) 1>>.depend
 	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(FOSREC_SRCS) 1>>.depend
+	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(FOSDD_SRCS) 1>>.depend
 
-apps-all: $(FOSREAD) $(SMASCII) $(FOSREC)
+apps-all: $(FOSREAD) $(SMASCII) $(FOSREC) $(FOSDD)
 
 apps: apps-dep
 	$(MAKE) apps-all
@@ -64,6 +71,7 @@
 	rm -f $(FOSREAD)
 	rm -f $(SMASCII)
 	rm -f $(FOSREC)
+	rm -f $(FOSDD)
 	rm -f .depend
 
 install: install-apps install-man
@@ -73,6 +81,7 @@
 	$(INSTALL) -c -m 755 $(FOSREAD) $(bindir)
 	$(INSTALL) -c -m 755 $(SMASCII) $(bindir)
 	$(INSTALL) -c -m 755 $(FOSREC) $(bindir)
+	$(INSTALL) -c -m 755 $(FOSDD) $(bindir)
 
 install-man: $(MANS)
 	for m in $(MANS); do \
@@ -87,6 +96,7 @@
 	rm -f $(bindir)/$(FOSREAD)
 	rm -f $(bindir)/$(SMASCII)
 	rm -f $(bindir)/$(FOSREC)
+	rm -f $(bindir)/$(FOSDD)
 
 uninstall-man:
 	for m in $(MANS); do \
@@ -97,7 +107,7 @@
 .PHONY: *clean *install* apps*
 
 dist-all:
-	cp $(EXTRADIST) $(FOSREAD_SRCS) $(SMASCII_SRCS) $(FOSREC_SRCS) Makefile $(DIST)
+	cp $(EXTRADIST) $(FOSREAD_SRCS) $(SMASCII_SRCS) $(FOSREC_SRCS) $(FOSDD_SRCS) Makefile $(DIST)
 
 .PHONY: dist dist-all

=== debian/changelog ===
fosfat (1.0.1-2build1) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:34:40 -0400

fosfat (1.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jakob Haufe <sur5r@debian.org>  Tue, 15 Oct 2024 09:37:41 +0200

fosfat (1.0.1-1) experimental; urgency=medium

  * New upstream version 1.0.1
  * Drop FUSE3 patch, applied upstream
  * Fix cross compilation

 -- Jakob Haufe <sur5r@debian.org>  Fri, 11 Oct 2024 11:18:07 +0200

fosfat (0.4.0-13-ged091bb-6) unstable; urgency=medium

  * Adopt package (Closes: #993520)
  * Switch to FUSE3 (Closes: #1084475)

 -- Jakob Haufe <sur5r@debian.org>  Wed, 09 Oct 2024 16:32:55 +0200

fosfat (0.4.0-13-ged091bb-5) unstable; urgency=medium

  * QA upload.

  [ Didier Raboud ]
  * Add Salsa CI configuration

  [ Debian Janitor ]
  * Apply multi-arch hints. + fosfat-dev: Add Multi-Arch: same.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 01:07:45 +0000

fosfat (0.4.0-13-ged091bb-4) unstable; urgency=medium

  * Orphan package

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Didier Raboud ]
  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Bump debhelper compat to 13

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 15:36:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+	crossopts =
+else
+	crossopts = --cross-compile --cross-prefix=$(DEB_HOST_GNU_TYPE)-
+endif
 
 %:
 	dh $@
@@ -16,10 +22,12 @@
 	            --disable-strip \
 	            --enable-debug \
 	            --enable-doc \
-	            --enable-pic
+	            --enable-pic \
+		    $(crossopts)
+
 
 override_dh_strip:
-	dh_strip --ddeb-migration='fosfat-dbg (<< 0.4.0-6~)'
+	dh_strip
 
 override_dh_auto_clean:
 	touch config.mak

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fosfat-$1\.tar\.gz/ https://github.com/Skywalker13/fosfat/tags .*/v?(\d\S*)\.tar\.gz
